# class toBarChart

A widget that displays a barchart. More...

Definition | `#include <tobarchart.h>`
Inherits | toLineChart [public ]
Inherited by | toResultBar
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toBarChart (QWidget *parent=NULL,const char *name=NULL,WFlags f=0)
- toBarChart (toBarChart *chart,QWidget *parent=NULL,const char *name=NULL,WFlags f=0)

#### Public Slots

- virtual void openCopy (void)

#### Protected Methods

- virtual void paintChart (QPainter *p,QRect &rect)

## Detailed Description

A widget that displays a barchart. Each line is added onto the next one.

void paintChart (QPainter *p,QRect &rect)

### paintChart

[protected virtual]

Reimplemented from toLineChart.

toBarChart (QWidget *parent=NULL,const char *name=NULL,WFlags f=0)

### toBarChart

Create a new barchart.

Parameters:

parent | Parent widget.
name | Name of widget.
f | Widget flags.

toBarChart (toBarChart *chart,QWidget *parent=NULL,const char *name=NULL,WFlags f=0)

### toBarChart

Create a new barchart by copying all the data from another barchart.

Parameters:

chart | Chart to copy data from.
parent | Parent widget.
name | Name of widget.
f | Widget flags.

void openCopy (void)

### openCopy

[virtual slot]

Open chart in new window.

Reimplemented from toLineChart.